org.apache.cassandra.cql3

## Class VariableSpecifications

- java.lang.Object
- - org.apache.cassandra.cql3.VariableSpecifications

    public class VariableSpecifications
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`VariableSpecifications(java.util.List<ColumnIdentifier> variableNames)`

### Method Summary

Methods
`void` `add(int bindIndex, ColumnSpecification spec)`
`java.util.List<ColumnSpecification>` `getSpecifications()`
`int` `size()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VariableSpecifications

    public VariableSpecifications(java.util.List<ColumnIdentifier> variableNames)

### Method Detail

#### size

    public int size()

#### getSpecifications

    public java.util.List<ColumnSpecification> getSpecifications()

#### add

    public void add(int bindIndex,
           ColumnSpecification spec)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`